
use strict;
use warnings;



use ExtUtils::MakeMaker 6.31;



my %WriteMakefileArgs = (
                       'ABSTRACT' => 'a parameterized role for object subsystems, helpers, and delegates',
                       'AUTHOR' => 'Ricardo Signes <rjbs@cpan.org>',
                       'BUILD_REQUIRES' => {
                                             'Moose' => '0',
                                             'Test::More' => '0.88'
                                           },
                       'CONFIGURE_REQUIRES' => {
                                                 'ExtUtils::MakeMaker' => '6.31'
                                               },
                       'DISTNAME' => 'Role-Subsystem',
                       'EXE_FILES' => [],
                       'LICENSE' => 'perl',
                       'NAME' => 'Role::Subsystem',
                       'PREREQ_PM' => {
                                        'MooseX::Role::Parameterized' => '0'
                                      },
                       'VERSION' => '0.101262',
                       'test' => {
                                   'TESTS' => 't/*.t'
                                 }
                     );


unless ( eval { ExtUtils::MakeMaker->VERSION(6.56) } ) {
  my $br = delete $WriteMakefileArgs{BUILD_REQUIRES};
  my $pp = $WriteMakefileArgs{PREREQ_PM}; 
  for my $mod ( keys %$br ) {
    if ( exists $pp->{$mod} ) {
      $pp->{$mod} = $br->{$mod} if $br->{$mod} > $pp->{$mod}; 
    }
    else {
      $pp->{$mod} = $br->{$mod};
    }
  }
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



